<div id="search-component">
    <h4>Hero Search by name</h4>
  
    <input #searchBox id="search-box" (input)="search(searchBox.value)" />
  
    <ul class="search-result">
      <li *ngFor="let hero of heroes$ | async" >
        <a routerLink="/detail/{{hero.id}}">
          {{hero.name}}
        </a>
      </li>
    </ul>
  </div>


<div id="search-component-2">
    <h4>Hero Search by id</h4>
  
    <input #searchBox2 id="search-box2" (input)="searchById(searchBox2.value)" />
  
    <ul class="search-result">
      <li *ngFor="let hero2 of heroes2$ | async" >
        <a routerLink="/detail/{{hero2.id}}">
          {{hero2.name}}
        </a>
      </li>
    </ul>
  </div>